package com.smart.hospital.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smart.hospital.admin.api.dto.hospital.HospitalQueryDTO;
import com.smart.hospital.admin.api.entity.YyHospitalInfo;
import com.smart.hospital.admin.api.vo.hospital.HospitalListVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author yuzhiqiang
 * @since 2022-03-23
 */
public interface YyHospitalInfoMapper extends BaseMapper<YyHospitalInfo> {

	/**
	 * 根据条件查询医院列表信息
	 *
	 * @param params
	 * @return
	 */
	IPage<HospitalListVO> getHospitalInfoList(Page page, @Param("params") HospitalQueryDTO params);
}
